using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.ViewModels
{
	public class LawyerViewModel : ILawyerModel
	{
		[DisplayName("Имя")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Фамилия")]
		public string Surname { get; set; } = string.Empty;
		[DisplayName("Отчество")]
		public string Patronymic { get; set; } = string.Empty;
		[DisplayName("Опыт работы")]
		public int Experience { get; set; }
		public int? SpecializationId { get; set; }
		[DisplayName("Специализация")]
		public string Specialization { get; set; } = string.Empty;
        public int UserId { get; set; }
        public int Id { get; set; }
        public Dictionary<int, IContractModel> Contracts { get; set; } = new();

        public Dictionary<int, ICaseModel> Cases { get; set; } = new();
    }
}
